;
;
; /////////////////////// PureLZMA Packer test ///////////////////////
;
;
XIncludeFile "PureLZMA_Packer_DLL_Include.pb"
;
EncryptionKey.s = ""
;
; If PureLZMA_DLL_Archive_Create("c:\purebasic430\program\MemArchiveTest.arc")
  ; PureLZMA_DLL_Archive_Compress("c:\PureBasic430\Program\PureLZMA_Test.pb", 1, EncryptionKey)
  ; PureLZMA_DLL_Archive_Compress("c:\PureBasic430\Program\PureLZMA_Test2.pb", 1, EncryptionKey)
  ; PureLZMA_DLL_Archive_Compress("c:\PureBasic430\Program\PureLZMA_Test3.pb", 0, EncryptionKey)
  ; PureLZMA_DLL_Archive_Compress("c:\PureBasic430\Program\PureLZMA_Test4.pb", -1, EncryptionKey)
  ; PureLZMA_DLL_Archive_Close()
; EndIf
; End
;
DataSection
  ArchiveBufferStart:
  IncludeBinary "c:\purebasic430\program\MemArchiveTest.arc"
  ArchiveBufferEnd:
EndDataSection
;
If PureLZMA_DLL_MemArchive_Read(?ArchiveBufferStart, ?ArchiveBufferEnd - ?ArchiveBufferStart)
  If PureLZMA_DLL_MemArchive_FindFirst()
    ;
    PureLZMA_DLL_MemArchive_GetArchiveInfo(@ArchiveInfo.LZMA_ArchiveInfo)
    Debug "----------------"
    Debug "CRCUnpacked    = $" + RSet(Hex(ArchiveInfo\CRCUnpacked, #PB_Long), 8, "0")
    Debug "CRCPacked      = $" + RSet(Hex(ArchiveInfo\CRCPacked, #PB_Long), 8, "0")
    Debug "CRCPacked CALC = $" + RSet(Hex(PureLZMA_DLL_MemArchive_GetCRC(), #PB_Long), 8, "0")
    Debug "LengthUnpacked = " + Str(ArchiveInfo\LengthUnpacked)
    Debug "LengthPacked   = " + Str(ArchiveInfo\LengthPacked) + " (" + StrF(ArchiveInfo\LengthPacked / ArchiveInfo\LengthUnpacked * 100, 2) + "% of original)"
    Debug "LZMAFlags      = " + Str(ArchiveInfo\LZMAFlags)
    Debug "FileAttributes = $" + Hex(ArchiveInfo\FileAttributes)
    Debug "Filename       = '" + ArchiveInfo\FileName + "'"
    ;
    While PureLZMA_DLL_MemArchive_FindNext()  
      PureLZMA_DLL_MemArchive_GetArchiveInfo(@ArchiveInfo.LZMA_ArchiveInfo)
      Debug "----------------"
      Debug "CRCUnpacked    = $" + RSet(Hex(ArchiveInfo\CRCUnpacked, #PB_Long), 8, "0")
      Debug "CRCPacked      = $" + RSet(Hex(ArchiveInfo\CRCPacked, #PB_Long), 8, "0")
      Debug "CRCPacked CALC = $" + RSet(Hex(PureLZMA_DLL_MemArchive_GetCRC(), #PB_Long), 8, "0")
      Debug "LengthUnpacked = " + Str(ArchiveInfo\LengthUnpacked)
      Debug "LengthPacked   = " + Str(ArchiveInfo\LengthPacked) + " (" + StrF(ArchiveInfo\LengthPacked / ArchiveInfo\LengthUnpacked * 100, 2) + "% of original)"
      Debug "LZMAFlags      = " + Str(ArchiveInfo\LZMAFlags)
      Debug "FileAttributes = $" + Hex(ArchiveInfo\FileAttributes)
      Debug "Filename       = '" + ArchiveInfo\FileName + "'"
      ;
    Wend
  EndIf
  ;
  PureLZMA_DLL_MemArchive_Close()
EndIf